## golang-github-wenerme-astgo 0.0~git20230926.1b5bc38

=== Makefile ===

love:

fmt:
	gofmt -w `find . -type f -name '*.go' -not -path "./vendor/*"`
	goimports -w `find . -type f -name '*.go' -not -path "./vendor/*"`

lint:
	golangci-lint run

ci: cover
	[ -z "$(CODECOV_TOKEN)" ] || bash -c 'bash <(curl -s https://codecov.io/bash)'

.PHONY: cover
cover:
	go test -race -coverprofile=cover.out -coverpkg=./... ./...
	go tool cover -html=cover.out -o cover.html

=== debian/control ===
Source: golang-github-wenerme-astgo
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Guilherme Puida Moreira <guilherme@puida.xyz>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-huandu-xstrings-dev,
               golang-github-iancoleman-strcase-dev,
               golang-github-masterminds-goutils-dev,
               golang-github-masterminds-sprig-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-go.uber-zap-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-tools-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-wenerme-astgo
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-wenerme-astgo.git
Homepage: https://github.com/wenerme/astgo
XS-Go-Import-Path: github.com/wenerme/astgo

Package: golang-github-wenerme-astgo-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-hashicorp-go-multierror-dev,
         golang-github-huandu-xstrings-dev,
         golang-github-iancoleman-strcase-dev,
         golang-github-masterminds-goutils-dev,
         golang-github-masterminds-sprig-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         golang-go.uber-zap-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-tools-dev,
         ${misc:Depends}
Description: Libraries to work with Asterisk (library)
 Includes support for AMI (Asterisk Manager Interface) and AGI (Asterisk
 Gateway Interface).
 .
 AMI: Async action, Sync Action, Event Subscribe, Auto Reconnect, Generated
 Action with document, Generated Event with document, Generated Client Action
 with Response.
 .
 AGI: FastAGI, AGI Bin, Generated Command, Generated Client.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := $(shell \
  find pkg/tools/xmlgen/template -type f -name '*.tmpl')

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/wenerme/astgo.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/wenerme/astgo/tags .*/v?(\d\S*)\.tar\.gz debian
